Subject: Make session handling compatible to any PHP session handler
Description

Today there's no possibility to get Flow working with a custom php session save handler like redis or memcached. You can define one
in your php.ini but Flow tries to create the session_save_path as a folder if it doesn't exist. This leads to something like this:

Uncaught Exception              
  Could not create directory "tcp://127.0.0.1:6379"!  

Flow, Y U no Redis? ;)

My solution would be to add an option called "TYPO3:Flow:session:PhpSession:saveHandler" in the Settings.yaml and set this to
"file" as default. Also there should be a small check, if the save_handler is still "file", before trying to create some sesssion storage
folders in TYPO3\Flow\Session\PhpSession (in initializeObject and destroyAll). Then it's easy for Flow users to switch to a redis save
handler f.e. and get it up running without an exception.

Related issues:
related to TYPO3.Flow - Feature # 42403: Session handler based on HTTP founda... Resolved 2012-10-25

Associated revisions
Revision 5b56ade8 - 2012-11-08 14:22 - Robert Lemke

[FEATURE] Native PHP-based session handler

This introduces an alternative session implementation which is based on
the backend modules of the Flow Cache framework. All cache backend
implementations available for caching (PDO, Redis, Apc, Memcache etc)
can now be used for storing session data.

Related: #42366
Resolves: #42403
Releases: 1.2
Change-Id: I0a01796f0f6ce34b9040f677fdb9740ae52ca517

History
#1 - 2012-10-25 08:40 - Christian Müller

Sounds good, do you provide a change, Martin?

#2 - 2012-10-25 10:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15930

#3 - 2012-11-19 17:55 - Robert Lemke
- Status changed from Under Review to Rejected

This feature request has been dropped in favor of a more capable FlowSession implementation.
